Python
import requests
url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/"
headers = {"Authorization": "Token <api-key>"}
response = requests.request("DELETE", url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Token <api-key>'}};
fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));curl --request DELETE \
--url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/ \
--header 'Authorization: Token <api-key>'package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Token <api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
{
"message": "Organization deleted successfully!"
}{
"message": "Unauthorized"
}{
"message": "Organization not found"
}Organizations
Delete Organization
Permanently delete an organization and its associated resources from the Mem0 platform.
DELETE
/
api
/
v1
/
orgs
/
organizations
/
{org_id}
/
Python
import requests
url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/"
headers = {"Authorization": "Token <api-key>"}
response = requests.request("DELETE", url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Token <api-key>'}};
fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));Authorizations
API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'
Path Parameters
Unique identifier of the organization to delete.
Response
Organization deleted successfully!
Example:
"Organization deleted successfully!"
Was this page helpful?
⌘I